Subject: bug#32377: guix gc -> build failed: executing SQLite statement: FOREIGN KEY constraint failed

From: [email-masked] (Ludovic Courtès)
Date: Tue, 21 Aug 2018 12:31:52 +0200

Hi,

Benjamin Slade <[email-masked]> skribis:

> I have since re-installed Guix on a different (larger) drive on the same
> machine.

Alright.

>  > That happens with ‘guix gc’ without any options?  Do all runs of ‘guix
>  > gc’ fail like this?
>
>  > Does ‘guix gc --verify’ (not ‘--verify=xyz’) fail as well?
>
> I tried various combinations/option of `guix gc`; whatever ones failed
> with that message always failed with that message. I *think* (but am not
> certain) that `guix gc --verify` may have not given any output, but
> running it in any case did not affect `guix gc` producing the error
> message.

OK.  I’ll close the bug for now, but please do reopen it if the problem
comes up again.

> I don't know if it was connected, but I also found that `/gnu` was
> trying to use more than twice the number of available inodes.
>
> [On my new install, I have not had these issues, though `/gnu` does seem
> to use a worrying number of inodes:
>
> Filesystem               Inodes   IUsed    IFree IUse% Mounted on
> /dev/sda2               6553600 4052120  2501480   62% /
>
> versus lots of free space remaining:
>
> Filesystem             Type      Size  Used Avail Use% Mounted on
> /dev/sda2              ext4       98G   40G   54G  43% /

Is /gnu a separate file system?  Regardless, I don’t think it’s
worrying, or at least, I’ve never run out of inodes, even on machines
with very large stores such as the build farm.

Thank you,
Ludo’.